#
# This file is part of Rheolef.
#
# Copyright (C) 2000-2009 Pierre Saramito 
#
# Rheolef is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Rheolef is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rheolef; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# --------------------------------------------------------------------------
## include this file in Makefile to work with rheolef

rheolef_prefix		      = /usr
rheolef_exec_prefix	      = /usr
CXX                   = g++
CXXCPP                = g++ -E
LD                    = g++

LDADD_RHEOLEF         = ${rheolef_prefix}/lib/aarch64-linux-gnu/librheolef.la
RHEOLEF_HARDCODE_FLAG = -Wl,-rpath -Wl,/lib/aarch64-linux-gnu
INCLUDES_RHEOLEF      = -Wdate-time -D_FORTIFY_SOURCE=2  -g  -fdebug-prefix-map=/build/rheolef-ooRCAi/rheolef-7.0=. -fstack-protector-strong -Wformat -Werror=format-security -std=c++11 -Wall -fpermissive -Wno-unused -Wno-strict-aliasing -Wno-literal-suffix -Wno-deprecated-declarations -O3      -I/usr/include/suitesparse           -I/usr/include/openmpi    -I${rheolef_prefix}/include -I${rheolef_prefix}/lib/aarch64-linux-gnu
LIBS_RHEOLEF          = -L${rheolef_prefix}/lib/aarch64-linux-gnu -lrheolef -lCGAL -lgmp   -ldmumps_ptscotch  -lumfpack -lamd  -lamd    -lptscotchparmetis -lptscotch -lptscotcherrexit -lz  -larmadillo   -lboost_mpi -lboost_serialization -L/usr/lib/openmpi/lib -lmpi_cxx -lmpi     $(RHEOLEF_HARDCODE_FLAG)
